<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HwmfRecordType (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HwmfRecordType (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HwmfRecordType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
               title="interface in org.apache.poi.hwmf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfTernaryRasterOp.html"
               title="enum in org.apache.poi.hwmf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/record/HwmfRecordType.html" target="_top">Frames</a>
        </li>
        <li><a href="HwmfRecordType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwmf.record</div>
    <h2 title="Enum HwmfRecordType" class="title">Enum HwmfRecordType</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Enum&lt;<a href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                         title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a>&gt;
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwmf.record.HwmfRecordType</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable, java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                            title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public enum <span class="typeNameLabel">HwmfRecordType</span>
extends java.lang.Enum&lt;<a href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                             title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a>&gt;</pre>
                <div class="block">Available record types for WMF</div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="http://www.symantec.com/avcenter/reference/inside.the.windows.meta.file.format.pdf">Inside
                        the Windows Meta File Format</a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== ENUM CONSTANT SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.summary">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Enum Constant Summary table, listing enum constants, and an explanation">
                            <caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Enum Constant and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#animatePalette">animatePalette</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#arc">arc</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#bitBlt">bitBlt</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#chord">chord</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#createBrushIndirect">createBrushIndirect</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#createFontIndirect">createFontIndirect</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#createPalette">createPalette</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#createPatternBrush">createPatternBrush</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#createPenIndirect">createPenIndirect</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#createRegion">createRegion</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#deleteObject">deleteObject</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#dibBitBlt">dibBitBlt</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#dibCreatePatternBrush">dibCreatePatternBrush</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#dibStretchBlt">dibStretchBlt</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#ellipse">ellipse</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#eof">eof</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#escape">escape</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#excludeClipRect">excludeClipRect</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#extFloodFill">extFloodFill</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#extTextOut">extTextOut</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#fillRegion">fillRegion</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#floodFill">floodFill</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#frameRegion">frameRegion</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#intersectClipRect">intersectClipRect</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#invertRegion">invertRegion</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#lineTo">lineTo</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#moveTo">moveTo</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#offsetClipRgn">offsetClipRgn</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#offsetViewportOrg">offsetViewportOrg</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#offsetWindowOrg">offsetWindowOrg</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#paintRegion">paintRegion</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#patBlt">patBlt</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#pie">pie</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#polygon">polygon</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#polyline">polyline</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#polyPolygon">polyPolygon</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#realizePalette">realizePalette</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#rectangle">rectangle</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#resizePalette">resizePalette</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#restoreDc">restoreDc</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#roundRect">roundRect</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#saveDc">saveDc</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#scaleViewportExt">scaleViewportExt</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#scaleWindowExt">scaleWindowExt</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#selectClipRegion">selectClipRegion</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#selectObject">selectObject</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#selectPalette">selectPalette</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setBkColor">setBkColor</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setBkMode">setBkMode</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setDibToDev">setDibToDev</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setLayout">setLayout</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setMapMode">setMapMode</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setMapperFlags">setMapperFlags</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setPalEntries">setPalEntries</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setPixel">setPixel</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setPolyFillMode">setPolyFillMode</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setRelabs">setRelabs</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setRop2">setRop2</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setStretchBltMode">setStretchBltMode</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setTextAlign">setTextAlign</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setTextCharExtra">setTextCharExtra</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setTextColor">setTextColor</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setTextJustification">setTextJustification</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setViewportExt">setViewportExt</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setViewportOrg">setViewportOrg</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setWindowExt">setWindowExt</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#setWindowOrg">setWindowOrg</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#stretchBlt">stretchBlt</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#stretchDib">stretchDib</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#textOut">textOut</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>java.lang.Class&lt;? extends <a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
                                        title="interface in org.apache.poi.hwmf.record">HwmfRecord</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#clazz">clazz</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#id">id</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#getById-int-">getById</a></span>(int&nbsp;id)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Returns the enum constant of this type with the specified name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#values--">values</a></span>()</code>
                                    <div class="block">Returns an array containing the constants of this enum type, in
                                        the order they are declared.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
                                <code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal,
                                    toString, valueOf</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ ENUM CONSTANT DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.detail">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Detail</h3>
                        <a name="eof">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>eof</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> eof</pre>
                            </li>
                        </ul>
                        <a name="animatePalette">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>animatePalette</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> animatePalette</pre>
                            </li>
                        </ul>
                        <a name="arc">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>arc</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> arc</pre>
                            </li>
                        </ul>
                        <a name="bitBlt">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>bitBlt</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> bitBlt</pre>
                            </li>
                        </ul>
                        <a name="chord">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>chord</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> chord</pre>
                            </li>
                        </ul>
                        <a name="createBrushIndirect">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createBrushIndirect</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> createBrushIndirect</pre>
                            </li>
                        </ul>
                        <a name="createFontIndirect">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createFontIndirect</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> createFontIndirect</pre>
                            </li>
                        </ul>
                        <a name="createPalette">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPalette</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> createPalette</pre>
                            </li>
                        </ul>
                        <a name="createPatternBrush">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPatternBrush</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> createPatternBrush</pre>
                            </li>
                        </ul>
                        <a name="createPenIndirect">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPenIndirect</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> createPenIndirect</pre>
                            </li>
                        </ul>
                        <a name="createRegion">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createRegion</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> createRegion</pre>
                            </li>
                        </ul>
                        <a name="deleteObject">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>deleteObject</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> deleteObject</pre>
                            </li>
                        </ul>
                        <a name="dibBitBlt">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dibBitBlt</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> dibBitBlt</pre>
                            </li>
                        </ul>
                        <a name="dibCreatePatternBrush">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dibCreatePatternBrush</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> dibCreatePatternBrush</pre>
                            </li>
                        </ul>
                        <a name="dibStretchBlt">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dibStretchBlt</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> dibStretchBlt</pre>
                            </li>
                        </ul>
                        <a name="ellipse">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ellipse</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> ellipse</pre>
                            </li>
                        </ul>
                        <a name="escape">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>escape</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> escape</pre>
                            </li>
                        </ul>
                        <a name="excludeClipRect">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>excludeClipRect</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> excludeClipRect</pre>
                            </li>
                        </ul>
                        <a name="extFloodFill">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>extFloodFill</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> extFloodFill</pre>
                            </li>
                        </ul>
                        <a name="extTextOut">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>extTextOut</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> extTextOut</pre>
                            </li>
                        </ul>
                        <a name="fillRegion">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fillRegion</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> fillRegion</pre>
                            </li>
                        </ul>
                        <a name="floodFill">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>floodFill</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> floodFill</pre>
                            </li>
                        </ul>
                        <a name="frameRegion">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>frameRegion</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> frameRegion</pre>
                            </li>
                        </ul>
                        <a name="intersectClipRect">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>intersectClipRect</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> intersectClipRect</pre>
                            </li>
                        </ul>
                        <a name="invertRegion">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>invertRegion</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> invertRegion</pre>
                            </li>
                        </ul>
                        <a name="lineTo">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>lineTo</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> lineTo</pre>
                            </li>
                        </ul>
                        <a name="moveTo">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>moveTo</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> moveTo</pre>
                            </li>
                        </ul>
                        <a name="offsetClipRgn">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>offsetClipRgn</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> offsetClipRgn</pre>
                            </li>
                        </ul>
                        <a name="offsetViewportOrg">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>offsetViewportOrg</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> offsetViewportOrg</pre>
                            </li>
                        </ul>
                        <a name="offsetWindowOrg">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>offsetWindowOrg</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> offsetWindowOrg</pre>
                            </li>
                        </ul>
                        <a name="paintRegion">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>paintRegion</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> paintRegion</pre>
                            </li>
                        </ul>
                        <a name="patBlt">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>patBlt</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> patBlt</pre>
                            </li>
                        </ul>
                        <a name="pie">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>pie</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> pie</pre>
                            </li>
                        </ul>
                        <a name="polygon">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>polygon</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> polygon</pre>
                            </li>
                        </ul>
                        <a name="polyline">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>polyline</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> polyline</pre>
                            </li>
                        </ul>
                        <a name="polyPolygon">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>polyPolygon</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> polyPolygon</pre>
                            </li>
                        </ul>
                        <a name="realizePalette">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>realizePalette</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> realizePalette</pre>
                            </li>
                        </ul>
                        <a name="rectangle">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>rectangle</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> rectangle</pre>
                            </li>
                        </ul>
                        <a name="resizePalette">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>resizePalette</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> resizePalette</pre>
                            </li>
                        </ul>
                        <a name="restoreDc">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>restoreDc</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> restoreDc</pre>
                            </li>
                        </ul>
                        <a name="roundRect">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>roundRect</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> roundRect</pre>
                            </li>
                        </ul>
                        <a name="saveDc">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>saveDc</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> saveDc</pre>
                            </li>
                        </ul>
                        <a name="scaleViewportExt">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>scaleViewportExt</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> scaleViewportExt</pre>
                            </li>
                        </ul>
                        <a name="scaleWindowExt">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>scaleWindowExt</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> scaleWindowExt</pre>
                            </li>
                        </ul>
                        <a name="selectClipRegion">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>selectClipRegion</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> selectClipRegion</pre>
                            </li>
                        </ul>
                        <a name="selectObject">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>selectObject</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> selectObject</pre>
                            </li>
                        </ul>
                        <a name="selectPalette">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>selectPalette</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> selectPalette</pre>
                            </li>
                        </ul>
                        <a name="setBkColor">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBkColor</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setBkColor</pre>
                            </li>
                        </ul>
                        <a name="setBkMode">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBkMode</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setBkMode</pre>
                            </li>
                        </ul>
                        <a name="setDibToDev">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDibToDev</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setDibToDev</pre>
                            </li>
                        </ul>
                        <a name="setLayout">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLayout</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setLayout</pre>
                            </li>
                        </ul>
                        <a name="setMapMode">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMapMode</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setMapMode</pre>
                            </li>
                        </ul>
                        <a name="setMapperFlags">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMapperFlags</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setMapperFlags</pre>
                            </li>
                        </ul>
                        <a name="setPalEntries">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPalEntries</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setPalEntries</pre>
                            </li>
                        </ul>
                        <a name="setPixel">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPixel</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setPixel</pre>
                            </li>
                        </ul>
                        <a name="setPolyFillMode">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPolyFillMode</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setPolyFillMode</pre>
                            </li>
                        </ul>
                        <a name="setRelabs">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRelabs</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setRelabs</pre>
                            </li>
                        </ul>
                        <a name="setRop2">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRop2</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setRop2</pre>
                            </li>
                        </ul>
                        <a name="setStretchBltMode">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setStretchBltMode</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setStretchBltMode</pre>
                            </li>
                        </ul>
                        <a name="setTextAlign">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextAlign</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setTextAlign</pre>
                            </li>
                        </ul>
                        <a name="setTextCharExtra">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextCharExtra</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setTextCharExtra</pre>
                            </li>
                        </ul>
                        <a name="setTextColor">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextColor</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setTextColor</pre>
                            </li>
                        </ul>
                        <a name="setTextJustification">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextJustification</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setTextJustification</pre>
                            </li>
                        </ul>
                        <a name="setViewportExt">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setViewportExt</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setViewportExt</pre>
                            </li>
                        </ul>
                        <a name="setViewportOrg">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setViewportOrg</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setViewportOrg</pre>
                            </li>
                        </ul>
                        <a name="setWindowExt">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setWindowExt</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setWindowExt</pre>
                            </li>
                        </ul>
                        <a name="setWindowOrg">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setWindowOrg</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> setWindowOrg</pre>
                            </li>
                        </ul>
                        <a name="stretchBlt">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>stretchBlt</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> stretchBlt</pre>
                            </li>
                        </ul>
                        <a name="stretchDib">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>stretchDib</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> stretchDib</pre>
                            </li>
                        </ul>
                        <a name="textOut">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>textOut</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a> textOut</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="id">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>id</h4>
                                <pre>public final&nbsp;int id</pre>
                            </li>
                        </ul>
                        <a name="clazz">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>clazz</h4>
                                <pre>public final&nbsp;java.lang.Class&lt;? extends <a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
                                        title="interface in org.apache.poi.hwmf.record">HwmfRecord</a>&gt; clazz</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="values--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>values</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a>[]&nbsp;values()</pre>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared. This method may be used to iterate
                                    over the constants as follows:
                                    <pre>
for (HwmfRecordType c : HwmfRecordType.values())
&nbsp;   System.out.println(c);
</pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing the constants of this enum type, in the order they are
                                        declared
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
                                <div class="block">Returns the enum constant of this type with the specified name.
                                    The string must match <i>exactly</i> an identifier used to declare an
                                    enum constant in this type. (Extraneous whitespace characters are
                                    not permitted.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the enum constant to be returned.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the enum constant with the specified name</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no
                                        constant with the specified name
                                    </dd>
                                    <dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getById-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getById</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a>&nbsp;getById(int&nbsp;id)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HwmfRecordType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
               title="interface in org.apache.poi.hwmf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfTernaryRasterOp.html"
               title="enum in org.apache.poi.hwmf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/record/HwmfRecordType.html" target="_top">Frames</a>
        </li>
        <li><a href="HwmfRecordType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
